Module tdlight.api
Package it.tdlight.jni

# Class TdApi.AvailableReactions

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.AvailableReactions

Enclosing class:
  TdApi

public static final class TdApi.AvailableReactions extends TdApi.Object
Represents a list of reactions that can be added to a message.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`allowCustomEmoji`
True, if any custom emoji reaction can be added by Telegram Premium subscribers.
`boolean`
`areTags`
True, if the reactions will be tags and the message can be found by them.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.AvailableReaction[]`
`popularReactions`
List of popular reactions.
`TdApi.AvailableReaction[]`
`recentReactions`
List of recently used reactions.
`TdApi.AvailableReaction[]`
`topReactions`
List of reactions to be shown at the top.
`TdApi.ReactionUnavailabilityReason`
`unavailabilityReason`
The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

## Constructor Summary

Constructors
Constructor
Description
`AvailableReactions()`
Represents a list of reactions that can be added to a message.
`AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)`
Represents a list of reactions that can be added to a message.
`AvailableReactions(DataInput input)`
Represents a list of reactions that can be added to a message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### topReactions

public TdApi.AvailableReaction[] topReactions
List of reactions to be shown at the top.

### recentReactions

public TdApi.AvailableReaction[] recentReactions
List of recently used reactions.

### popularReactions

public TdApi.AvailableReaction[] popularReactions
List of popular reactions.

### allowCustomEmoji

public boolean allowCustomEmoji
True, if any custom emoji reaction can be added by Telegram Premium subscribers.

### areTags

public boolean areTags
True, if the reactions will be tags and the message can be found by them.

### unavailabilityReason

public TdApi.ReactionUnavailabilityReason unavailabilityReason
The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### AvailableReactions

public AvailableReactions()
Represents a list of reactions that can be added to a message.

### AvailableReactions

public AvailableReactions(TdApi.AvailableReaction[] topReactions, TdApi.AvailableReaction[] recentReactions, TdApi.AvailableReaction[] popularReactions, boolean allowCustomEmoji, boolean areTags, TdApi.ReactionUnavailabilityReason unavailabilityReason)
Represents a list of reactions that can be added to a message.

Parameters:
  `topReactions` - List of reactions to be shown at the top.
  `recentReactions` - List of recently used reactions.
  `popularReactions` - List of popular reactions.
  `allowCustomEmoji` - True, if any custom emoji reaction can be added by Telegram Premium subscribers.
  `areTags` - True, if the reactions will be tags and the message can be found by them.
  `unavailabilityReason` - The reason why the current user can't add reactions to the message, despite some other users can; may be null if none.

### AvailableReactions

public AvailableReactions(DataInput input) throws IOException
Represents a list of reactions that can be added to a message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`